ShibbolethSSOEndpointSelector (Shibboleth Identity Provider 2.2.0 Java API.)
Date: 2010-09-23

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.idp.profile.saml1
Class ShibbolethSSOEndpointSelector

    java.lang.Object
      org.opensaml.common.binding.AbstractEndpointSelector
          org.opensaml.common.binding.BasicEndpointSelector
              edu.internet2.middleware.shibboleth.idp.profile.saml1.ShibbolethSSOEndpointSelector

    public class ShibbolethSSOEndpointSelector

extends org.opensaml.common.binding.BasicEndpointSelector

An endpoint selector that may optionally take a SP-provided assertion consumer service URL, validate it against metadata, and return an endpoint based on it. If no URL is provided the `BasicEndpointSelector` selection is used.

Constructor Summary
`ShibbolethSSOEndpointSelector()`

Method Summary
`String` | `getSpAssertionConsumerService()` Gets the assertion consumer service URL provided by SP.
`org.opensaml.saml2.metadata.Endpoint` | `selectEndpoint()`
`protected org.opensaml.saml2.metadata.Endpoint` | `selectEndpointByACS()` Selects the endpoint, from metadata, corresponding to the SP-provdided ACS URL.
`void` | `setSpAssertionConsumerService(String acs)` Sets the assertion consumer service URL provided by SP.

Methods inherited from class org.opensaml.common.binding.BasicEndpointSelector
`filterEndpointsByProtocolBinding, selectIndexedEndpoint, selectNonIndexedEndpoint`

Methods inherited from class org.opensaml.common.binding.AbstractEndpointSelector
`getEndpointType, getEntityMetadata, getEntityRoleMetadata, getMetadataProvider, getSamlRequest, getSamlResponse, getSupportedIssuerBindings, setEndpointType, setEntityMetadata, setEntityRoleMetadata, setMetadataProvider, setSamlRequest, setSamlResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShibbolethSSOEndpointSelector

    public ShibbolethSSOEndpointSelector()

Method Detail

### getSpAssertionConsumerService

    public String getSpAssertionConsumerService()

  Gets the assertion consumer service URL provided by SP.

  Returns:
    assertion consumer service URL provided by SP

### setSpAssertionConsumerService

    public void setSpAssertionConsumerService(String acs)

  Sets the assertion consumer service URL provided by SP.

  Parameters:
    `acs` - assertion consumer service URL provided by SP

### selectEndpoint

    public org.opensaml.saml2.metadata.Endpoint selectEndpoint()

  Overrides:
    `selectEndpoint` in class `org.opensaml.common.binding.BasicEndpointSelector`

### selectEndpointByACS

    protected org.opensaml.saml2.metadata.Endpoint selectEndpointByACS()

  Selects the endpoint, from metadata, corresponding to the SP-provdided ACS URL.

  Returns:
    endpoint corresponding to the SP-provdided ACS URL

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Internet2. All Rights Reserved.